%filter_from_requires /libclntsh.so.*()(64bit)/d
%filter_setup
Summary: ruby-oci8
Name: ruby-oci8
Version: 2.1.8
Release: 2%{?dist}
Group: Software Development
Distribution: rubygem-oci8 for Ruby
License: 2-clause BSD-style license
URL: http://www.rubydoc.info/github/kubo/ruby-oci8
Source:        %{name}-%{version}.gem
Source1:       rpmlintrc

%define gem_base %name-%version
%define gem_instdir %{gem_dir}
%define oraclever 12.2
%define oracleicname instantclient%{oraclever}
%define oracleicver 12.2.0.1

BuildRequires: ruby-devel
BuildRequires: rubygems-devel
BuildRequires: oracle-instantclient12.2-devel
BuildRequires: oracle-%{oracleicname}-devel

Requires: oracle-%{oracleicname}-basic >= %{oracleicver}


%description
The Ruby gem ruby-oci8 packaged as a rpm

Requires:      rubygem-dbi

# Skip autogenerating RPM dependencies
AutoReqProv: yes

%prep
rm -rf $RPM_BUILD_ROOT/*

%build
export PATH=/usr/lib/oracle/12.2/client64/bin:$PATH
export LD_LIBRARY_PATH=/usr/lib/oracle/12.2/client64/lib
export LC_CTYPE=en_US.UTF-8
export LANG=en_US.UTF-8
unset LC_ALL

%gem_install -d %{_builddir}/%{gem_base} -n %{_sourcedir}/%{name}-%{version}.gem

%install
mkdir -p $RPM_BUILD_ROOT/%{gem_instdir}
install -m 755 -d $RPM_BUILD_ROOT%{gem_instdir}/cache
install -m 644 %{_builddir}/%{gem_base}/cache/%{name}-%{version}.gem $RPM_BUILD_ROOT%{gem_instdir}/cache/
install -m 755 -d $RPM_BUILD_ROOT%{gem_instdir}/specifications
install -m 644 %{_builddir}/%{gem_base}/specifications/%{name}-%{version}.gemspec $RPM_BUILD_ROOT%{gem_instdir}/specifications/

%define ruby_base %{gem_base}/gems/%{name}-%{version}	
mkdir -p $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}
install -m 644 %{_builddir}/%{ruby_base}/COPYING* $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}
install -m 644 %{_builddir}/%{ruby_base}/ChangeLog $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}
install -m 644 %{_builddir}/%{ruby_base}/NEWS $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}
install -m 644 %{_builddir}/%{ruby_base}/README.md $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}
#install -m 644 %{_builddir}/%{ruby_base}/VERSION $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/docs
install -m 755 -d $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/docs
install -m 644 %{_builddir}/%{ruby_base}/docs/* $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/docs

mkdir -p $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/lib
install -m 755 -d  $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/lib
install -m 644 %{_builddir}/%{ruby_base}/lib/*.rb  $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/lib/
install -m 755 %{_builddir}/%{ruby_base}/lib/oci8lib_*.so  $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/lib/

mkdir -p $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/lib/oci8
install -m 755 -d  $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/lib/oci8
install -m 644 %{_builddir}/%{ruby_base}/lib/oci8/*  $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/lib/oci8

install -m 755 -d  $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/lib/dbd
install -m 644  %{_builddir}/%{ruby_base}/lib/dbd/*  $RPM_BUILD_ROOT%{gem_instdir}/gems/%{name}-%{version}/lib/dbd

%files
%{gem_instdir}/*

%post


%changelog

* Mon Sep 25 2017 Keshav Sharma  <keshav.sharma@oracle.com> 2.1.8-2
- Upadted requirements.
- move the lib.so to /usr/lib/... instead of /usr/lib64.

* Thu Jun  8 2017 Qing Lin          <qing.lin@oracle.com>   2.1.8-1.0
- Updated to upstream version 2.1.8

